## libsdl1.2 1.2.14

=== debian/changelog ===
libsdl1.2 (1.2.14-7) unstable; urgency=low

  [ Felix Geyer ]
  * Remove all patches that were disabled.
  * Switch to source format 3.0 (quilt).
  * Simplify debian/rules by using dh(1).
  * Drop ancient Conflicts/Replaces.
  * Disable the PlayStation 3 Cell driver on ppc64. (Closes: #644908)
  * Update Vcs control fields to the new git repository. (Closes: #615902)
  * Drop sequence numbers from the patch filenames.
  * Fix: SDL_BlitCopyOverlap() copies data between overlapping bitmaps.
    (Closes: #626048)
    - Add sdlblit_memcpy_fix.diff, cherry-picked from upstream.
  * Set _NET_WM_PID property in X11 windows which is used by GNOME Shell and the
    Unity desktop.
    - Add x11_add_support_NET_WM_PID.diff from Ubuntu / Marco Trevisan.
  * Bump Standards-Version to 3.9.2, no further changes necessary.
  * Override package-name-doesnt-match-sonames lintian warning.
  * Add a debug package. (Closes: #600292)
  * Add myself as uploader.
  * Switch to debhelper compat level v9.
    - Convert to multiarch. (Closes: #636605)
    - Exports hardening build flags.
  * Remove the .la file.

  [ Dominique Dumont ]
  * control: replaced XC-Package-Type with Package-Type tag
  * added missing lintian overrides.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 08 Jan 2012 18:33:39 +0100

libsdl1.2 (1.2.14-6.4) unstable; urgency=low

  * Non-maintainer upload.
  * Build improvements from Guillem Jover that should really have gone 
    with the previous upload. Closes: #614332.
    + Line-wrap build-depends.
    + Use -any syntax for architecture-specific stuff.
    + Fix cross-compilation by using DEB_HOST_* variables.
    + Update or remove non-existing configure flags.
    + Forbid dlopening for X11.
  * Use --enable-debug with the debug keyword, not the noopt one.
  * Refactor configure options.
  * Disable NAS. We have PulseAudio now.
  * Pass --disable-loadso, just to be sure.

 -- Josselin Mouette <joss@debian.org>  Tue, 24 May 2011 22:51:57 +0200

libsdl1.2 (1.2.14-6.3) unstable; urgency=low

  * Non-maintainer upload with maintainer’s approval.
  * Merge all builds into a single one, there is no more a reason to 
    keep all these packages.
  * Remove support for libaa (there’s libcaca), libsvga (directfb 
    supports more architectures) and libesd (pulseaudio does much more).
  * Remove obsolete sys-build.mk from source directory.

 -- Josselin Mouette <joss@debian.org>  Sat, 16 Apr 2011 18:25:59 +0200

libsdl1.2 (1.2.14-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove arts as build dependency as is being removed from the archive
    (Closes: #620982, #581231).
    - Remove libsdl1.2debian-arts.
    - Remove references to arts in other packages that this source provides.
    - Pass --disable-arts to the configure script.
  
  [ Ana Beatriz Guerrero Lopez ]

  * Update uploaders, remove aurel32, joss and sho.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Fri, 08 Apr 2011 23:35:29 +0200

libsdl1.2 (1.2.14-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable altivec on powerpc.  Debian's powerpc port supports systems
    without it, and libsdl's build system only pretends to do runtime
    detection (closes: #572420).

 -- Julien Cristau <jcristau@debian.org>  Sun, 10 Oct 2010 17:12:11 +0200

libsdl1.2 (1.2.14-6) unstable; urgency=low

  * Add 320_disappearingcursor.diff to fix problems with the mouse cursor
    disappearing in OpenTTD using 1.2.14-5.  Partially reverts the fix for
    upstream bug #716 (r4872); taken together with 310_fixmouseclicks,
    the upstream fix is entirely reverted.  (Closes: #578389)
    - Thanks to Adam D. Barratt!
  * Add source format 1.0 for now.
  * Bump Standards Version to 3.8.4. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 30 Apr 2010 09:11:40 -0400

libsdl1.2 (1.2.14-5) unstable; urgency=low

  * Add 310_fixmouseclicks.diff to fix problems with left-mouse clicks
      not working in Wesnoth in windowed mode.  Partially reverts the fix
      for upstream bug #716 (r4872).  (Closes: #565788).
      Thanks to Adam D. Barratt for the fix.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 16 Apr 2010 09:26:29 -0400

libsdl1.2 (1.2.14-4) unstable; urgency=low

  * Move -dev Recommends back to Depends, as other packages may want to 
    statically link with libsdl.a. (Closes: #565579).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Jan 2010 11:57:35 +0100

libsdl1.2 (1.2.14-3) unstable; urgency=low

  [ Barry deFreese ]
  * Add build-dep on libglu1-mesa-dev to enable OpenGL support. (LP: #328932)
  * Disable Playstation 3 Cell driver on PPC. (Closes: #564846).
    + Thanks to Scott Kitterman at Ubuntu for finding fix from Gentoo.
  * 222_joystick_crash.diff - Fix crash with dpad joystick. (Closes: #564831).
    + Thanks to Tarek Soliman for catching the fix from upstream.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 12 Jan 2010 12:25:04 -0500

libsdl1.2 (1.2.14-2) unstable; urgency=low

  [ Barry deFreese ]
  * Upload to unstable.
  * Update 215_kfreebsd_gnu.diff patch to fix FTBFS on kFreeBSD.
    + Thanks to Christoph Egger for the fix!
  * Add ${misc:Depends} for binary packages for Debhelper package.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 11 Jan 2010 10:34:12 -0500

libsdl1.2 (1.2.14-1) experimental; urgency=low

  [ Barry deFreese ]
  * New upstream release. (Closes: #557711).
    + Remove patches that are applied upstream or code changed.
    + Refresh remaining patches.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 27 Nov 2009 14:52:55 -0500

libsdl1.2 (1.2.13-5) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Add watch file.
  * Add Homepage: field to source stanza.
  * Fix Vcs-Browser path.
  * 310_segfault_noGLX.diff - Don't segfault when no GLX. (Closes: 541365).
    + Thanks to Gonéri Le Bouder for the fix.
  * 050_altivec_detection.diff - Detect Altivec machines. (Closes: #502993).
    + Update 100_libtoolize.diff.

