## libsdl1.2 1.2.14-6.1ubuntu4+5.5trisquel1

=== debian/changelog ===
libsdl1.2 (1.2.14-6.1ubuntu4+5.5trisquel1) brigantia; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 22 Feb 2012 23:03:17 +0000

libsdl1.2 (1.2.14-6.1ubuntu4) oneiric; urgency=low

  * Added 321_x11_add_support_to__NET_WM_PID.diff to support pid exportation
    in each x11 SDL window, needed mostly by pygame and BAMF (LP: #777417).

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 06 Jul 2011 15:07:19 +0200

libsdl1.2 (1.2.14-6.1ubuntu3) natty; urgency=low

  * Replace memcpy by memmove in SDL_blit.c, as per SDL bug 1090
    see http://hg.libsdl.org/SDL/rev/d898ee5431f5
    (LP: #725044).

 -- Dr. David Alan Gilbert <dave@treblig.org>  Sun, 13 Mar 2011 01:05:52 +0000

libsdl1.2 (1.2.14-6.1ubuntu2) natty; urgency=low

  * Disable PlayStation 3 Cell driver on ppc64 as well as on powerpc.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Feb 2011 12:57:15 +0000

libsdl1.2 (1.2.14-6.1ubuntu1) natty; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - Drop aRts support: drop libarts1-dev and libartsc0-dev build-deps,
      deps, drop libsdl1.2debian-arts package from control, drop alternate dep
      of libsdl1.2-debian on libsdl1.2debian-arts, pass --enable-arts=no in
      confflags, drop arts from FLAVOURS in rules.
    - Drop svgalib support: drop build-dep and deps on libsvga1-dev, drop
      mention of "svga" driver in libsdl1.2debian's description.
    - Drop directfb support. This is the only package which still pulls the
      rather sizable directfb into a standard installation, and we never
      actually used/supported it anyway. Drop directfb build/binary dependencies and
      libsdl1.2debian-udeb package; don't build udeb flavour and drop
      --enable-video-directfb from all_confflags.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Oct 2010 15:59:02 +0200
