=== debian/control ===
Source: libsdl1.2
Priority: optional
Section: libs
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>, Aurelien Jarno <aurel32@debian.org>, Josselin Mouette <joss@debian.org>, Barry deFreese <bdefreese@debian.org>
Standards-Version: 3.8.4
Build-Depends: dpkg (>= 1.13.2), debhelper (>= 5.0), quilt, nasm [i386 kfreebsd-i386], libaa1-dev, libx11-dev, libxext-dev, libxt-dev, libxv-dev, x11proto-core-dev, libaudiofile-dev, libesd0-dev, libpulse-dev, libgl1-mesa-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libaudio-dev, libcaca-dev, libusbhid-dev [kfreebsd-i386 kfreebsd-amd64], libglu1-mesa-dev
Vcs-Svn: svn://svn.debian.org/pkg-sdl/unstable/libsdl.2
Vcs-Browser: http://svn.debian.org/wsvn/pkg-sdl/unstable/libsdl1.2/
Homepage: http://www.libsdl.org/

Package: libsdl1.2debian
Architecture: any
Depends: ${misc:Depends}, libsdl1.2debian-alsa (= ${binary:Version}) | libsdl1.2debian-all (= ${binary:Version}) | libsdl1.2debian-esd (= ${binary:Version}) | libsdl1.2debian-oss (= ${binary:Version}) | libsdl1.2debian-nas (= ${binary:Version}) | libsdl1.2debian-pulseaudio (= ${binary:Version})
Description: Simple DirectMedia Layer
 SDL is a library that allows programs portable low level access to
 a video framebuffer, audio output, mouse, and keyboard.
 .
 This is just a dummy package. You also need one of the seven versions of
 the library that this package depends on.
 .
 (Note: Updates from SDL CVS after the version release date are occasionally 
 factored into these packages).

Package: libsdl1.2debian-all
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-alsa, libsdl1.2debian-esd, libsdl1.2debian-oss, libsdl1.2debian-arts, libsdl1.2debian-nas, libsdl1.2-nas
Conflicts: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-alsa, libsdl1.2debian-esd, libsdl1.2debian-oss, libsdl1.2debian-arts, libsdl1.2debian-nas, libsdl1.2-nas
Provides: libsdl1.2-all
Description: Simple DirectMedia Layer (with all available options)
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11, aalib and ggi graphics
 drivers and oss, esound, alsa, nas and pulseaudio sound drivers.

Package: libsdl1.2debian-alsa
Architecture: linux-any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-all, libsdl1.2debian-arts, libsdl1.2debian-esd, libsdl1.2debian-oss, libsdl1.2debian-nas, libsdl1.2-nas, libsdl1.2debian-pulseaudio
Conflicts: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-all, libsdl1.2debian-arts, libsdl1.2debian-esd, libsdl1.2debian-oss, libsdl1.2debian-nas, libsdl1.2-nas, libsdl1.2debian-pulseaudio
Description: Simple DirectMedia Layer (with X11 and ALSA options)
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11 graphics and ALSA sound.

Package: libsdl1.2debian-oss
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-all, libsdl1.2debian-alsa, libsdl1.2debian-esd, libsdl1.2debian-arts, libsdl1.2debian-nas, libsdl1.2-nas, libsdl1.2debian-pulseaudio
Conflicts: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-all, libsdl1.2debian-alsa, libsdl1.2debian-esd, libsdl1.2debian-arts, libsdl1.2debian-nas, libsdl1.2-nas, libsdl1.2debian-pulseaudio
Provides: libsdl1.2-oss
Description: Simple DirectMedia Layer (with X11 and OSS options)
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11 graphics and oss sound.

Package: libsdl1.2debian-esd
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-all, libsdl1.2debian-alsa, libsdl1.2debian-oss, libsdl1.2debian-arts, libsdl1.2debian-nas, libsdl1.2-nas, libsdl1.2debian-pulseaudio
Conflicts: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-all, libsdl1.2debian-alsa, libsdl1.2debian-oss, libsdl1.2debian-arts, libsdl1.2debian-nas, libsdl1.2-nas, libsdl1.2debian-pulseaudio
Provides: libsdl1.2-esd
Description: Simple DirectMedia Layer (with X11 and esound options)
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11 graphics and esd (esound) sound.

Package: libsdl1.2debian-nas
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-all, libsdl1.2debian-alsa, libsdl1.2debian-esd, libsdl1.2debian-oss, libsdl1.2debian-arts, libsdl1.2debian-pulseaudio
Conflicts: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-all, libsdl1.2debian-alsa, libsdl1.2debian-esd, libsdl1.2debian-oss, libsdl1.2debian-arts, libsdl1.2debian-pulseaudio
Provides: libsdl1.2-nas
Description: Simple DirectMedia Layer (with X11 and NAS options)
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11 graphics and NAS sound.

Package: libsdl1.2debian-pulseaudio
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-all, libsdl1.2debian-alsa, libsdl1.2debian-esd, libsdl1.2debian-oss, libsdl1.2debian-arts
Conflicts: libsdl1.2-all, libsdl1.2-esd, libsdl1.2-oss, libsdl1.2-arts, libsdl1.2 (<< 1.2.1-1), libsdl1.2debian-all, libsdl1.2debian-alsa, libsdl1.2debian-esd, libsdl1.2debian-oss, libsdl1.2debian-arts
Description: Simple DirectMedia Layer (with X11 and PulseAudio options)
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11 graphics and PulseAudio sound.

Package: libsdl1.2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libsdl1.2debian (= ${binary:Version}), libx11-dev, libglu1-mesa-dev, libasound2-dev [linux-any], libesd0-dev,libpulse-dev, libaa1-dev, libcaca-dev, libusbhid-dev [kfreebsd-any], libxt-dev, libxext-dev, libaudio-dev
Replaces: libsdl-dev, libsdl0.11-dev, libsdl1.0-dev, libsdl1.1-dev
Conflicts: xlibs-pic (<< 4.1.0-10), libsdl-dev, libsdl0.11-dev, libsdl0.11, libsdl1.0-dev, libsdl1.1-dev
Provides: libsdl-dev
Description: Simple DirectMedia Layer development files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the files needed to compile and link programs which
 use SDL.
