## libsdl1.2 1.2.14-6.4ubuntu3.1+6.0.1trisquel2

=== debian/changelog ===
libsdl1.2 (1.2.14-6.4ubuntu3.1+6.0.1trisquel2) toutatis; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 14 Apr 2015 11:14:33 +0000

libsdl1.2 (1.2.14-6.4ubuntu3.1) precise-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in MakeBigReq (LP: #1441381)
    - debian/control: change Build-Depends to libx11 security update
    - CVE-2013-7439

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 13 Apr 2015 08:17:25 -0400

libsdl1.2 (1.2.14-6.4ubuntu3) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 27 Jan 2012 12:43:59 +0100

libsdl1.2 (1.2.14-6.4ubuntu2) precise; urgency=low

  * Pull from Debian git to get multiarch support in:

  [ Felix Geyer ]
  * Remove all patches that were disabled.
  * Switch to source format 3.0 (quilt).
  * Simplify debian/rules by using dh(1).
  * Drop ancient Conflicts/Replaces.
  * Disable the PlayStation 3 Cell driver on ppc64. (Closes: #644908)
  * Update Vcs control fields to the new git repository. (Closes: #615902)
  * Drop sequence numbers from the patch filenames.
  * Fix: SDL_BlitCopyOverlap() copies data between overlapping bitmaps.
    (Closes: #626048)
    - Add sdlblit_memcpy_fix.diff, cherry-picked from upstream.
  * Set _NET_WM_PID property in X11 windows which is used by GNOME Shell and the
    Unity desktop.
    - Add x11_add_support_NET_WM_PID.diff from Ubuntu / Marco Trevisan.
  * Bump Standards-Version to 3.9.2, no further changes necessary.
  * Override package-name-doesnt-match-sonames lintian warning.
  * Add a debug package. (Closes: #600292)
  * Add myself as uploader.
  * Switch to debhelper compat level v9.
    - Convert to multiarch. (Closes: #636605)
    - Exports hardening build flags.
  * Remove the .la file.

  [ Dominique Dumont ]
  * control: replaced XC-Package-Type with Package-Type tag

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Dec 2011 17:55:26 -0800

libsdl1.2 (1.2.14-6.4ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #898147), remaining changes:
    - Drop directfb support. This is the only package which still pulls the
      rather sizable directfb into a standard installation, and we never
      actually used/supported it anyway. Drop directfb build/binary dependencies
      and libsdl1.2debian-udeb package; don't build udeb flavour and drop
      --enable-video-directfb from confflags.
    - Disable PlayStation 3 Cell driver on ppc64 as well as on powerpc.
    - Replace memcpy by memmove in SDL_blit.c, as per SDL bug 1090
      see http://hg.libsdl.org/SDL/rev/d898ee5431f5
    - Add 321_x11_add_support_to__NET_WM_PID.diff to support pid exportation
      in each x11 SDL window, needed mostly by pygame and BAMF.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 30 Nov 2011 13:46:31 +0100
