=== debian/control ===
Source: libsdl1.2
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>,
           Felix Geyer <debfx-pkg@fobos.de>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8.9.0~),
               nasm [any-i386],
               libx11-dev (>= 2:1.4.99.1-0ubuntu2.3),
               libxext-dev,
               libxt-dev,
               libxv-dev,
               x11proto-core-dev,
               libaudiofile-dev,
               libpulse-dev,
               libgl1-mesa-dev,
               libasound2-dev [linux-any],
               libcaca-dev,
               libusbhid-dev [kfreebsd-any],
               libglu1-mesa-dev
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl1.2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl1.2.git
Homepage: http://www.libsdl.org/

Package: libsdl1.2debian
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libsdl1.2debian-all,
          libsdl1.2debian-alsa,
          libsdl1.2debian-esd,
          libsdl1.2debian-oss,
          libsdl1.2debian-nas,
          libsdl1.2debian-pulseaudio
Conflicts: libsdl1.2debian-all,
           libsdl1.2debian-alsa,
           libsdl1.2debian-esd,
           libsdl1.2debian-oss,
           libsdl1.2debian-nas,
           libsdl1.2debian-pulseaudio,
           libsdl1.2-all,
           libsdl1.2-esd,
           libsdl1.2-oss,
           libsdl1.2-nas,
           libsdl1.2
Description: Simple DirectMedia Layer
 SDL is a library that allows programs portable low level access to
 a video framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11 and caca graphics 
 drivers and OSS, ALSA, NAS and PulseAudio sound drivers.

Package: libsdl1.2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsdl1.2debian (= ${binary:Version}),
         libx11-dev,
         libglu1-mesa-dev,
         libasound2-dev [linux-any],
         libpulse-dev,
         libcaca-dev,
         libusbhid-dev [kfreebsd-any],
         libxt-dev,
         libxext-dev
Replaces: libsdl-dev
Conflicts: libsdl-dev
Provides: libsdl-dev
Description: Simple DirectMedia Layer development files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the files needed to compile and link programs which
 use SDL.

Package: libsdl1.2-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends: ${misc:Depends},
         libsdl1.2debian (= ${binary:Version}),
Description: Simple DirectMedia Layer debug files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the debug symbols for the SDL library.
