## libsdl1.2 1.2.15

=== debian/changelog ===
libsdl1.2 (1.2.15-10+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Last update introduced a fix for CVE-2019-7637 which contains copy-and-
    paste mistakes. CVE-2019-7637-followup.patch addresses issues in the
    initial patch.

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 09 Oct 2019 10:08:03 +0200

libsdl1.2 (1.2.15-10+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2019-7572, CVE-2019-7573, CVE-2019-7574, CVE-2019-7575
    CVE-2019-7576, CVE-2019-7577, CVE-2019-7578, CVE-2019-7635, CVE-2019-7636
    CVE-2019-7637,CVE-2019-7638 

 -- Abhijith PA <abhijith@debian.org>  Wed, 05 Mar 2019 14:59:10 +0530

libsdl1.2 (1.2.15-10) unstable; urgency=medium

  [ Hector Oron ]
  * d/control: remove libts-dev dependency. (Closes: #751765)

  [ Felix Geyer ]
  * Enable X11 backingstore only when SDL_VIDEO_X11_BACKINGSTORE is set to
    prevent tearing. (Closes: #747168)
    - Add sdl-check-for-SDL_VIDEO_X11_BACKINGSTORE.patch

 -- Felix Geyer <fgeyer@debian.org>  Mon, 30 Jun 2014 21:18:45 +0200

libsdl1.2 (1.2.15-9) unstable; urgency=medium

  * Bump Policy Standards-Version to 3.9.5 (no changes needed)
  * Use dh_autoreconf in debian/rules without calling ./autogen.sh and
    perform other tricks to actually support new architectures (arm64,
    powerpc64le, ...) (Closes: #735253)
  * Do not build-depend on autotools-dev, dh-autoreconf is supposed to
    supersede it

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 09 Mar 2014 01:37:39 +0000

libsdl1.2 (1.2.15-8) unstable; urgency=low

  * Remove permanently patch check_SDL_NOKBD_environment_variable.diff, it
    was rejected explicitly by upstream and could not be applied cleanly,
    was already disabled fore more than a year
  * Document fix_joystick_misc_axes.diff with the latest development,
    submitted upstream again for re-evaluation
  * Build-depend on autotools-dev to update config.{sub,guess} and modify
    debian/rules to add support for new ports (needed for arm64)
  * Use "dh_autoreconf --as-needed" in debian/rules

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 28 Oct 2013 12:55:48 +0000

libsdl1.2 (1.2.15-7) unstable; urgency=low

  * Drop the udeb package as it doesn't have any reverse dependencies anymore.
    (Closes: #723165)

 -- Felix Geyer <fgeyer@debian.org>  Tue, 17 Sep 2013 18:26:42 +0200

libsdl1.2 (1.2.15-6) unstable; urgency=low

  [ Simon McVittie ]
  * Clean debian/tmp-udeb so the package can build twice in a row.
    (Closes: #708756)

  [ Felix Geyer ]
  * Drop obsolete DM-Upload-Allowed flag.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Add lintian override for dev-pkg-without-shlib-symlink.
  * Switch to my @debian.org email address.

  [ Manuel A. Fernandez Montecelo ]
  * Switch to @debian.org address
  * Bring the man page of sdl-config up to date (Closes: #695836)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 27 Jul 2013 19:28:59 +0100

libsdl1.2 (1.2.15-5) unstable; urgency=low

  * Restrict libts (touch screen) input method to linux-any architectures, not
    available elsewhere

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 21 Jun 2012 14:20:55 +0100

libsdl1.2 (1.2.15-4) unstable; urgency=low

  [ Manuel A. Fernandez Montecelo ]
  * debian/sdl-config1
    - Fix typo, progam->program
  * Enable support for touch screen library (Closes: #674799)

  [ Felix Geyer ]
  * Re-add dependencies to libsdl1.2-dev that are required for static linking.
    (Closes: #670122)
  * Bump Standards-Version to 3.9.3, no further changes necessary.

  [ Sam Hocevar ]
  * debian/patches/fix_joystick_misc_axes.diff: fix a joystick remapping
    bug causing some axes to malfunction (Closes: #673324).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 11 Jun 2012 16:04:53 +0100

libsdl1.2 (1.2.15-3) unstable; urgency=low

  [ Felix Geyer ]
  * Drop all -dev package dependencies of libsdl1.2-dev except libx11-dev and
    libglu1-mesa-dev.
  * Add libglu-dev as an alternative to libglu1-mesa-dev.

  [ Manuel A. Fernandez Montecelo ]
  * Fix for bug "Window corner re-size events ignored by SDL" (Closes: #665779),
    thanks Andrew Caudwell <acaudwell@gmail.com> for the report and the
    suggested fix.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 10 Apr 2012 21:18:20 +0100

libsdl1.2 (1.2.15-2) unstable; urgency=low

  * Add fix_build_joystick_freebsd.diff by Robert Millan to fix build
    on kfreebsd. (Closes: #659615)
  * Bump shlibs version to 1.2.11.
  * Bump debhelper build-dependency to >= 9.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 20 Feb 2012 12:20:47 +0100

libsdl1.2 (1.2.15-1) unstable; urgency=low

  * New upstream release
  * Seting DM-Upload-Allowed:yes and added myself to Uploaders
  * Removed patches:
    - sdlblit_memcpy_fix.diff: it was backported from upstream
    - joystick_crash.diff: it was backported from upstream (changeset 3590
      493f252a455c)
    - x11_add_support_NET_WM_PID.diff: applied upstream (changeset 6169
      6f3e5ccfd585)
    - disable_ipod.diff: it wasn't documented nor appeared anywhere in the
      changelog, and it only disabled its support in the configure script (and
      the option to add ipod support is off by default, at least in the current
      version)
    - disappearingcursor.diff: applied upstream (changeset 4557 4aa31b9207f2)
    - fixmouseclicks.diff: it was part of a fix applied upstream (same as for
      the patch disappearingcursor.diff)
    - no_yasm.diff: applied upstream, picked from Debian (changeset 4538
      74b5387da0c4)
    - nasm_include.diff: applied upstream, picked from Debian (changeset 4539
      d2517c0de52b)
    - kfreebsd_gnu.diff: applied upstream, picked from Debian (changeset 4537
      cd344ebc14e9)
    - relibtoolize.diff: substituted with dh_autoreconf
  * Disable patch check_SDL_NOKBD_environment_variable.diff at least

