=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: libsdl1.2
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bdefreese@debian.org>,
-           Felix Geyer <debfx-pkg@fobos.de>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.9.0~),
+           Felix Geyer <fgeyer@debian.org>,
+           Manuel A. Fernandez Montecelo <mafm@debian.org>
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               dpkg-dev (>= 1.16.1~),
                nasm [any-i386],
-               libx11-dev (>= 2:1.4.99.1-0ubuntu2.3),
+               libx11-dev, 
                libxext-dev,
                libxt-dev,
                libxv-dev,
@@ -18,6 +20,7 @@
                libgl1-mesa-dev,
                libasound2-dev [linux-any],
                libcaca-dev,
+               libdirectfb-dev (>= 1.0) [!hurd-i386],
                libusbhid-dev [kfreebsd-any],
                libglu1-mesa-dev
 Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl1.2.git
@@ -50,7 +53,7 @@
  SDL is a library that allows programs portable low level access to
  a video framebuffer, audio output, mouse, and keyboard.
  .
- This version of SDL is compiled with X11 and caca graphics 
+ This version of SDL is compiled with X11, caca and DirectFB graphics 
  drivers and OSS, ALSA, NAS and PulseAudio sound drivers.
 
 Package: libsdl1.2-dev
@@ -58,13 +61,13 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libsdl1.2debian (= ${binary:Version}),
+         libasound2-dev [linux-any],
+         libcaca-dev,
+         libdirectfb-dev (>= 0.9.22),
+         libglu1-mesa-dev | libglu-dev,
+         libpulse-dev,
+         libusbhid-dev [kfreebsd-any],
          libx11-dev,
-         libglu1-mesa-dev,
-         libasound2-dev [linux-any],
-         libpulse-dev,
-         libcaca-dev,
-         libusbhid-dev [kfreebsd-any],
-         libxt-dev,
          libxext-dev
 Replaces: libsdl-dev
 Conflicts: libsdl-dev
